*, *::before, *::after {
    box-sizing: border-box;
}

:root {
    font-family: "Kanit", sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
    --bg: oklch(99.115% 0.00423 15.765);
    --primary: oklch(28.712% 0.00291 16.71);
    --black: oklch(0% 0 0);
    --white: oklch(100% 0 0);
    --red: oklch(62.793% 0.25768 29.223);
    background-color: var(--bg);
    color: var(--primary);
}

.container {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}

header {
    background-color: var(--black);
    box-shadow: 0 0 0.2rem var(--black);
    margin-bottom: 1rem;
    padding: 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: sticky;
    top: 0;
    z-index: 1000;

    img {
        height: 3rem;
        width: auto;
        border-radius: .5em;
        transition: border 0.3s ease;
    }

    img:hover {
        border: solid 2px var(--white);
    }
}

nav {
    ul {
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        list-style: none;
        padding: 0rem;
        margin: 0;
    }

    li {
        background-color: var(--red);
        border-radius: .5em;
        margin: .5em;
        transition: background-color 0.3s ease, border 0.3s ease;
    }

    a {
        display: inline-block;
        padding: 1em 2em;
        text-decoration: none;
        color: var(--white);
        text-align: center;
        transition: color 0.3s ease;
    }

    li:hover {
        background-color: var(--white);
        border: solid 2px var(--red);
        border-radius: .5em;

        a {
            color: var(--red);
        }
    }
}
@media screen and (min-width: 30em) {
    header {
        flex-direction: row;
        padding: 1rem;
    }

    header img {
        margin-bottom: 0;
    }

    nav {
        width: auto;

        ul {
            flex-direction: row;
            width: auto;
        }

        li {
            margin: 0.5em;
            width: auto;
        }

        a {
            display: inline-block;
            width: auto;
            padding: 1em 2em;
        }
    }
}

main {
    img {
        width: 30%;
        margin-left: 25em;
    }

    a {
        text-decoration: none;
        background-color: var(--red);
        color: var(--white);
        border-radius: .5em;
        padding: .5em;
        border: solid 2px var(--white);
    }

    a:hover {
        background-color: var(--white);
        color: var(--red);
    }
}

.copy {
    background-color: var(--black);
    color: var(--white);
    padding: 1em;
}